Subject: [bug#54644] [PATCH 6/7] gnu: rust-serde-regex 1: Update to 1.1.0

From: Efraim Flashner <[email-masked]>
Date: Thu, 31 Mar 2022 17:48:53 +0300

On Thu, Mar 31, 2022 at 01:58:38PM +0200, Maxime Devos wrote:
> Evgenii Lepikhin via Guix-patches via schreef op do 31-03-2022 om 00:37
> [+0300]:
> > * gnu/packages/crates-io.scm (rust-serde-regex-1): Update to 1.1.0.
> 
> This is not yet in Guix AFAICT, so this is adding, not updating.
> 
> > ---
> >  gnu/packages/crates-io.scm | 25 +++++++++++++++++++++++++
> >  1 file changed, 25 insertions(+)
> > 
> > diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> > index 738f57837a..f57f4161db 100644
> > --- a/gnu/packages/crates-io.scm
> > +++ b/gnu/packages/crates-io.scm
> > @@ -54513,6 +54513,31 @@ (define-public rust-serde-qs-0.7
> >  commonly used by Ruby on Rails via Rack.")
> >      (license (list license:expat license:asl2.0))))
> >  
> > +(define-public rust-serde-regex-1
> 
> Why the -1 suffix?  This appears to be the only rust-serde-regex in
> Guix.

It's needed so we can keep track of the different versions of the
crates. As with the other crates we have packaged, we can easily end up
needed numerous 0.x crates in addition to this one.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted